| FFmpegKit iOS / macOS / tvOS API 4.5

Data Fields
OutputFile Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
AVFormatContext * | ctx
AVDictionary * | opts
int | ost_index
int64_t | recording_time
| desired length of the resulting file in microseconds == AV_TIME_BASE units More...
int64_t | start_time
| start time in microseconds == AV_TIME_BASE units More...
uint64_t | limit_filesize
int | shortest
int | header_written

## Detailed Description

Definition at line 602 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ ctx

AVFormatContext* OutputFile::ctx

Definition at line 603 of file fftools_ffmpeg.h.

## ◆ header_written

int OutputFile::header_written

Definition at line 612 of file fftools_ffmpeg.h.

## ◆ limit_filesize

uint64_t OutputFile::limit_filesize

Definition at line 608 of file fftools_ffmpeg.h.

## ◆ opts

AVDictionary* OutputFile::opts

Definition at line 604 of file fftools_ffmpeg.h.

## ◆ ost_index

int OutputFile::ost_index

Definition at line 605 of file fftools_ffmpeg.h.

## ◆ recording_time

int64_t OutputFile::recording_time

desired length of the resulting file in microseconds == AV_TIME_BASE units

Definition at line 606 of file fftools_ffmpeg.h.

## ◆ shortest

int OutputFile::shortest

Definition at line 610 of file fftools_ffmpeg.h.

## ◆ start_time

int64_t OutputFile::start_time

start time in microseconds == AV_TIME_BASE units

Definition at line 607 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h